<?
/**
 * VoiceOne Webservices Declarations
 *  
 * @package voiceone_webservices
 * @subpackage  operator_pannel
 */
// ---- op_extension -----------------------------------------------------------
$server->wsdl->addComplexType(
    'op_extension',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'name'          => array('name'=>'name',       'type'=>'xsd:string'),
        'surname'       => array('name'=>'surname',    'type'=>'xsd:string'),
        'extension'     => array('name'=>'extension',  'type'=>'xsd:string'),
        'trunk'    			=> array('name'=>'trunk', 		 'type'=>'xsd:string'),
        'voicemail'   	=> array('name'=>'voicemail',  'type'=>'xsd:string'),
        'groups'        => array('name'=>'groups',     'type'=>'tns:intArray'),
        'linkedClients' 	=> array('name'=>'linked_clients', 'type'=>'tns:op_linkedclientArray')
    )
);
// ---- op_extension[] ---------------------------------------------------------
$server->wsdl->addComplexType(
    'op_extensionArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:op_extension[]')
    ),
    'tns:op_extension'
);
// ---- op_linkedclient --------------------------------------------------------
$server->wsdl->addComplexType(
    'op_linkedclient',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'extension'   => array('name'=>'extension', 'type'=>'xsd:string'),
        'trunk'    		=> array('name'=>'trunk', 		'type'=>'xsd:string')
    )
);
// ---- op_linkedclient[] ------------------------------------------------------
$server->wsdl->addComplexType(
    'op_linkedclientArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:op_linkedclient[]')
    ),
    'tns:op_linkedclient'
);
// ---- op_queue ---------------------------------------------------------------
$server->wsdl->addComplexType(
    'op_queue',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'name'      => array('name'=>'name',    'type'=>'xsd:string'),
        'strategy'	=> array('name'=>'strategy','type'=>'xsd:string'),
        'members'   => array('name'=>'members', 'type'=>'tns:op_memberArray'),
        'calls'     => array('name'=>'calls',   'type'=>'tns:op_callinqueueArray')
    )
);
// ---- op_queue[] -------------------------------------------------------------
$server->wsdl->addComplexType(
    'op_queueArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:op_queue[]')
    ),
    'tns:op_queue'
);
// ---- op_member --------------------------------------------------------------
$server->wsdl->addComplexType(
    'op_member',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'extension' => array('name'=>'extension',  'type'=>'xsd:string'),
        'penalty'   => array('name'=>'penalty',    'type'=>'xsd:int'),
        'status'    => array('name'=>'status',     'type'=>'xsd:int')
    )
);
// ---- op_member[] ------------------------------------------------------------
$server->wsdl->addComplexType(
    'op_memberArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:op_member[]')
    ),
    'tns:op_member'
);
// ---- op_callinqueue ---------------------------------------------------------
$server->wsdl->addComplexType(
    'op_callinqueue',
    'complexType',
    'struct',
    'all',
    '',
    array(
    		'number'   		 => array('name'=>'number',   'type'=>'xsd:int'),
        'channel'  		 => array('name'=>'channel',  'type'=>'xsd:string'),
        'trunk'   		 => array('name'=>'trunk',    'type'=>'xsd:string'),
        'callerid' 		 => array('name'=>'callerid',    'type'=>'xsd:string'),
        'calleridName' => array('name'=>'calleridName','type'=>'xsd:string'),
        'wait'   	 		 => array('name'=>'wait',    	'type'=>'xsd:int'),
        'priority' 		 => array('name'=>'priority', 'type'=>'xsd:int')
    )
);
// ---- op_callinqueue[] -------------------------------------------------------
$server->wsdl->addComplexType(
    'op_callinqueueArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:op_callinqueue[]')
    ),
    'tns:op_callinqueue'
);
// ---- op_line ----------------------------------------------------------------
$server->wsdl->addComplexType(
    'op_line',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'name'      => array('name'=>'name',       'type'=>'xsd:string'),
        'aliases'   => array('name'=>'aliases',    'type'=>'tns:stringArray'),
        'speeddial'	=> array('name'=>'speeddial',  'type'=>'xsd:string'),
        'callLimit'	=> array('name'=>'callLimit',  'type'=>'xsd:int'),
        'numbers'   => array('name'=>'numbers',    'type'=>'tns:stringArray')
    )
);
// ---- op_line[] --------------------------------------------------------------
$server->wsdl->addComplexType(
    'op_lineArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:op_line[]')
    ),
    'tns:op_line'
);
?>